Recent

Author Topic: FortesReport for Lazarus 0.9.31  (Read 6811 times)

JanRoza

  • Hero Member
  • *****
  • Posts: 538
    • http://www.silentwings.nl
FortesReport for Lazarus 0.9.31
« on: July 27, 2011, 01:24:08 pm »
Does anyone know when a Lazarus 0.9.31 compatible version of FortesReport will be available?
At this moment I have to stick to Lazarus 0.9.30 as otherwise I loose the FortesReport component which doesn't compile/install on Lazarus 0.9.31.
OS: Windows 10 (64 bit) / Ubuntu 19.04 (64 bit)
Laz: Lazarus 2.0.4 FPC 3.0.4 i386-win32-win32/win64

Zoran

  • Hero Member
  • *****
  • Posts: 1465
    • http://wiki.lazarus.freepascal.org/User:Zoran
Re: FortesReport for Lazarus 0.9.31
« Reply #1 on: July 27, 2011, 01:43:22 pm »
Use Fortes from svn trunk. It compiles and works with Lazarus 0.9.31.

According to what Luiz said once, he tries to follow trunk version of Lazarus with trunk version of Fortes, separatly from released version of Fortes, which is for released Lazarus. So don't expect new releases of Fortes before the next release of Lazarus, at least don't expect it to include the compatibility changes.

But, that is what the trunk version of Fortes is for.

Hm... http://www.lazarus.freepascal.org/index.php/topic,13558.msg70898.html#msg70898 :D

JD

  • Hero Member
  • *****
  • Posts: 1758
Re: FortesReport for Lazarus 0.9.31
« Reply #2 on: July 27, 2011, 01:46:16 pm »
Strange, I have a 0.9.31 svn 30042 installed & FortesReport is installed in it. Install Fortes from svn.
Windows (10, 7) - Lazarus 2.0RC3/FPC 3.2, NewPascal, Delphi

Indy 10.6 series; mORMot; Zeos 7.2.1; SQLite, Firebird, PostgreSQL & MariaDB; VirtualTreeView 5.5.3 R1

JanRoza

  • Hero Member
  • *****
  • Posts: 538
    • http://www.silentwings.nl
Re: FortesReport for Lazarus 0.9.31
« Reply #3 on: July 27, 2011, 02:18:23 pm »
Oops, my mistake!
I did use a svn version but it was not the latest, I'll install 0.9.31 again and try the latest FortesReport svn version.
I must be getting old, my memory is getting worse  %)
OS: Windows 10 (64 bit) / Ubuntu 19.04 (64 bit)
Laz: Lazarus 2.0.4 FPC 3.0.4 i386-win32-win32/win64